Package org.jbpm.services.task.admin.listener

## Class TaskCleanUpProcessEventListener

- java.lang.Object
- - org.drools.core.event.DefaultProcessEventListener
  - - org.jbpm.services.task.admin.listener.TaskCleanUpProcessEventListener

- All Implemented Interfaces:
    `EventListener`, `org.kie.api.event.process.ProcessEventListener`

      public class TaskCleanUpProcessEventListener
      extends org.drools.core.event.DefaultProcessEventListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskCleanUpProcessEventListener​(org.kie.api.task.TaskService taskService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)` |
    `void` | `setTaskService​(org.kie.internal.task.api.InternalTaskService taskService)` |

    - ### Methods inherited from class org.drools.core.event.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onAsyncNodeScheduledEvent, onMessage, onSignal`

- - ### Constructor Detail

    - #### TaskCleanUpProcessEventListener

          public TaskCleanUpProcessEventListener​(org.kie.api.task.TaskService taskService)

  - ### Method Detail

    - #### afterProcessCompleted

          public void afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `afterProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `afterProcessCompleted` in class `org.drools.core.event.DefaultProcessEventListener`

    - #### setTaskService

          public void setTaskService​(org.kie.internal.task.api.InternalTaskService taskService)